umbrello: VisibilityEnumWidget Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
VisibilityEnumWidget Class Reference

`#include <visibilityenumwidget.h>`

Inheritance diagram for VisibilityEnumWidget:

## Public Types
typedef QMap< Uml::Visibility::Enum, QString > | TextMap
typedef QMap< Uml::Visibility::Enum, QRadioButton * > | ButtonMap

## Public Member Functions
| VisibilityEnumWidget (UMLObject *o, QWidget *parent=0)
| VisibilityEnumWidget (AssociationWidget *a, Uml::RoleType::Enum role, QWidget *parent=0)
| ~VisibilityEnumWidget ()
void | addToLayout (QVBoxLayout *layout)
void | apply ()

## Protected Member Functions
void | init (const QString &title)

## Protected Attributes
TextMap | m_texts
QGroupBox * | m_box
ButtonMap | m_buttons
UMLObject * | m_object
AssociationWidget * | m_widget
Uml::RoleType::Enum | m_role

## Member Typedef Documentation

## ◆ ButtonMap

typedef QMap<Uml::Visibility::Enum,QRadioButton*> VisibilityEnumWidget::ButtonMap

## ◆ TextMap

typedef QMap<Uml::Visibility::Enum,QString> VisibilityEnumWidget::TextMap

## Constructor & Destructor Documentation

## ◆ VisibilityEnumWidget() [1/2]

VisibilityEnumWidget::VisibilityEnumWidget | ( | UMLObject * | o,
|  | QWidget * | parent = 0 )
| explicit

## ◆ VisibilityEnumWidget() [2/2]

VisibilityEnumWidget::VisibilityEnumWidget | ( | AssociationWidget * | a,
|  | Uml::RoleType::Enum | role,
|  | QWidget * | parent = 0 )

## ◆ ~VisibilityEnumWidget()

VisibilityEnumWidget::~VisibilityEnumWidget | ( |  | ) |

## Member Function Documentation

## ◆ addToLayout()

void VisibilityEnumWidget::addToLayout | ( | QVBoxLayout * | layout | ) |

Add this widget to a given layout.

Parameters

  layout | The layout to which the widget should be added

## ◆ apply()

void VisibilityEnumWidget::apply | ( |  | ) |

Apply changes to the related UMLObject.

## ◆ init()

void VisibilityEnumWidget::init | ( | const QString & | title | ) |
| protected

## Member Data Documentation

## ◆ m_box

QGroupBox* VisibilityEnumWidget::m_box
| protected

## ◆ m_buttons

ButtonMap VisibilityEnumWidget::m_buttons
| protected

## ◆ m_object

UMLObject* VisibilityEnumWidget::m_object
| protected

## ◆ m_role

Uml::RoleType::Enum VisibilityEnumWidget::m_role
| protected

## ◆ m_texts

TextMap VisibilityEnumWidget::m_texts
| protected

## ◆ m_widget

AssociationWidget* VisibilityEnumWidget::m_widget
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/visibilityenumwidget.h
- umbrello/dialogs/widgets/visibilityenumwidget.cpp